namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 会诊状态
    /// </summary>
    /// <remarks>名称|代码 | 会诊状态描述</remarks>
    public enum ConsultationStatusEnum
    {
        /// <summary>
        /// 1 |已申请
        /// </summary>
        Applyed = 1,

        /// <summary>
        /// 2 |已取消
        /// </summary>
        Canceled = 2,

        /// <summary>
        /// 3 |等待会诊
        /// </summary>
        WaitingConsultation = 3,

        /// <summary>
        /// 4 |已开始会诊
        /// </summary>
        InConsultation = 4,

        /// <summary>
        /// 5 |已提交报告
        /// </summary>
        Reported = 5,

    }
}