using System.Threading.Tasks;
using WingInterfaceLibrary.Request.Management;

namespace WingInterfaceLibrary.Interface
{
    /// <summary>
    /// 文件传输服务
    /// </summary>
    /// <value>文件传输服务接口</value>
    /// <example>客户端API</example>
    public interface IFileTransferService
    {
        /// <summary>
        /// 获取管理员账号 
        /// </summary>
        /// <param name="request">获取管理员账号（分页）请求实</param>
        /// <returns></returns>
        Task<bool> GetAdminPagesAsync(GetAdminPagesRequest request);
    }
}
