using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Consultation;

namespace WingInterfaceLibrary.Request.Consultation
{
    /// <summary>
    /// 上传图像请求实体
    /// </summary>
    public class UpdateConsultationFilesInfoRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 会诊图像集合
        /// </summary>
        /// <value></value>
        public List<ConsultationFileDTO> FileInfos { get; set; } = new List<ConsultationFileDTO>();
    }
}