using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Consultation
{
    /// <summary>
    /// 会诊图像信息
    /// </summary>
    public class ConsultationFileDTO
    {
        /// <summary>
        /// 源文件地址
        /// </summary>
        /// <value>http://****</value>
        public string SourceUrl { get; set; } = string.Empty;

        /// <summary>
        /// 缩略图地址
        /// </summary>
        /// <value>http://****</value>
        public string PreviewImageUrl { get; set; } = string.Empty;

        /// <summary>
        /// 海报图地址
        /// </summary>
        /// <value>http://****</value>
        public string CoverImageUrl { get; set; } = string.Empty;
    }
}