namespace WingInterfaceLibrary.Request.Consultation
{
    /// <summary>
    ///  添加随访记录
    /// </summary>
    public class AddConsultationFollowUpRecordRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 手机号
        /// </summary>
        /// <value>18512345678</value>
        public string Phone { get; set; } = string.Empty;

        /// <summary>
        /// 一般情况
        /// </summary>
        /// <value>18512345678</value>
        public string GeneralSituation { get; set; } = string.Empty;

        /// <summary>
        /// 临床表现
        /// </summary>
        /// <value>18512345678</value>
        public string ClinicalManifestation { get; set; } = string.Empty;
    }
}